using System;

internal sealed class Delegate786 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate786 delegate786_1)
	{
		return delegate786_1(object_0);
	}

	public extern Delegate786(object object_0, IntPtr intptr_0);

	static Delegate786()
	{
		Class10.smethod_13(typeof(Delegate786).TypeHandle);
	}

	internal static Delegate786 delegate786_0;
}
